# Method: photos.batchGet

- [HTTP request](https://developers.google.com/streetview/publish/reference/rest/v1/photos/batchGet#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/streetview/publish/reference/rest/v1/photos/batchGet#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/streetview/publish/reference/rest/v1/photos/batchGet#body.request_body)
- [Response body](https://developers.google.com/streetview/publish/reference/rest/v1/photos/batchGet#body.response_body)
  - [JSON representation](https://developers.google.com/streetview/publish/reference/rest/v1/photos/batchGet#body.BatchGetPhotosResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/streetview/publish/reference/rest/v1/photos/batchGet#body.aspect)
- [Try it!](https://developers.google.com/streetview/publish/reference/rest/v1/photos/batchGet#try-it)

Gets the metadata of the specified `https://developers.google.com/streetview/publish/reference/rest/v1/photo#Photo` batch.

Note that if `https://developers.google.com/streetview/publish/reference/rest/v1/photos/batchGet#google.streetview.publish.v1.StreetViewPublishService.BatchGetPhotos` fails, either critical fields are missing or there is an authentication error. Even if `https://developers.google.com/streetview/publish/reference/rest/v1/photos/batchGet#google.streetview.publish.v1.StreetViewPublishService.BatchGetPhotos` succeeds, individual photos in the batch may have failures. These failures are specified in each `https://developers.google.com/streetview/publish/reference/rest/v1/PhotoResponse#FIELDS.status` in `https://developers.google.com/streetview/publish/reference/rest/v1/photos/batchGet#body.BatchGetPhotosResponse.FIELDS.results`. See `https://developers.google.com/streetview/publish/reference/rest/v1/photo/get#google.streetview.publish.v1.StreetViewPublishService.GetPhoto` for specific failures that can occur per photo.

### HTTP request

`GET https://streetviewpublish.googleapis.com/v1/photos:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `photoIds[]` | `string` Required. IDs of the `https://developers.google.com/streetview/publish/reference/rest/v1/photo#Photo`. For HTTP GET requests, the URL query parameter should be `photoIds=<id1>&photoIds=<id2>&...`. |
| `view` | ``enum (`https://developers.google.com/streetview/publish/reference/rest/v1/PhotoView`)`` Required. Specifies if a download URL for the photo bytes should be returned in the Photo response. |
| `languageCode` | `string` Optional. The BCP-47 language code, such as "en-US" or "sr-Latn". For more information, see <http://www.unicode.org/reports/tr35/#Unicode_locale_identifier>. If languageCode is unspecified, the user's language preference for Google services is used. |

### Request body

The request body must be empty.

### Response body

Response to batch get of `https://developers.google.com/streetview/publish/reference/rest/v1/photo#Photo`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "results": [ { object (`https://developers.google.com/streetview/publish/reference/rest/v1/PhotoResponse`) } ] } ``` |

| Fields ||
|---|---|
| `results[]` | ``object (`https://developers.google.com/streetview/publish/reference/rest/v1/PhotoResponse`)`` List of results for each individual `https://developers.google.com/streetview/publish/reference/rest/v1/photo#Photo` requested, in the same order as the requests in `https://developers.google.com/streetview/publish/reference/rest/v1/photos/batchGet#google.streetview.publish.v1.StreetViewPublishService.BatchGetPhotos`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/streetviewpublish`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).